# Simplr Extension for Magento 2 

##  How to install:

### STEP 1

Install Simplr Extension

- Download the extension
- Unzip the file
- Create a folder {Magento 2 root}/app/code/Simplr/SimplrExtension
- Copy the content from the unzip folder

### STEP 2

Enable Module (from {Magento root} folder)

```
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```

## Available methods:

***Extension version:***
```
GET :serverPath/rest/all/V1/simplr/version
```

***Lists orders that match specified search criteria:***
```
GET :serverPath/rest/all/V1/simplr/orders/
```
About search searchCriteria - https://devdocs.magento.com/guides/v2.3/rest/performing-searches.html


***Loads a specified order:***
```
GET :serverPath/rest/all/V1/simplr/orders/:id/
```

***Cancels a specified order:***
```
POST :serverPath/rest/all/V1/simplr/orders/:id/cancel
```

***Create offline refund for order:***
```
POST :serverPath/rest/all/V1/simplr/orders/:id/refund
``` 

Refund post body:
```
{
  "items": [
    {
      "extension_attributes": {},
      "order_item_id": 0,
      "qty": 0
    }
  ],
  "notify": true,
  "appendComment": true,
  "comment": {
    "extension_attributes": {},
    "comment": "string",
    "is_visible_on_front": 0
  },
  "arguments": {
    "shipping_amount": 0,
    "adjustment_positive": 0,
    "adjustment_negative": 0,
    "extension_attributes": {
      "return_to_stock_items": [
        0
      ]
    }
  }
}
```

